/*
 * default.c
 *
 * default UI for pilot-sync
 *
 * Copyright (C) 1997 by David Lindes,
 * see the LICENSE file in this directory for licensing information
 *
 * $Id: default.c,v 1.6 1997/04/23 03:18:20 lindes Exp $
 *
 */

#include	<pi-task.h>
#include	<pwd.h>
#include	<stdio.h>
#include	<stdarg.h>
#include	<stdlib.h>
#include	<unistd.h>
#include	<sys/types.h>
#include	<sys/stat.h>
#include	"util.h"

void	send_message(char *format, ...);
void	log_message(PilotConnection *pilot,char *format, ...);
char	*get_user_name(void);

void	send_message(char *format, ...)
{
    va_list ap;

    /* just this, for now... more when we GUIize. */
    va_start(ap, format);
    vprintf(format, ap);
    va_end(ap);
    fflush(stdout);	/* in case message is not \n'd */
}

void	log_message(PilotConnection *pilot,char *format, ...)
{
    va_list ap;
    char *buf;
    int	bytes;

    va_start(ap, format);

    /* use the return value of vfprintf to figure out a buffer
       size for use with vsprintf */
    bytes = vfprintf(pilot->logfile,format,ap);
    buf	= (char *)malloc(bytes * sizeof(char));
    verify_alloc(buf);
    vsprintf(buf,format,ap);

    va_end(ap);

    fflush(pilot->logfile);	/* in case message is not \n'd */
    dlp_AddSyncLogEntry(pilot->connectionfd,buf);
    free(buf);
}

char	*get_user_name(void)
{
    static char	user[BUFSIZ];

    /* this routine is in a very primitive state, and
       is meant to just be something to make it possible to
       initialize a new pilot.  This should almost certainly
       be cleaned up... */

    user[0]	= '\0';

    while(!user[0])
    {
	fprintf(stderr, "\n\nPlease enter user name: ");
	fflush(stderr);
	fgets(user,BUFSIZ-1,stdin);
	chomp(user);
    }

    return(user);
}
