/*
 * pi-task.h
 *
 * header file for pilot-sync tasks
 *
 * Copyright (C) 1997 by David Lindes,
 * see the LICENSE file in this directory for licensing information
 *
 * $Id: pi-task.h,v 1.9 1997/04/23 02:41:31 lindes Exp $
 *
 */

#ifndef	__PI_TASK_H__
#define __PI_TASK_H__

#include <pi-dlp.h>
#include <stdio.h>
#include <pi-file.h>
#include <pi-socket.h>

/* typedef for ease of use */
typedef		struct DBInfo			DBInfo;

typedef		struct PilotConnection
{
    /* config items */
    char		*saveroot;
    char		*devicename;
    int			verbosity, setclock;

    /* runtime items */
    int			sockfd, connectionfd;
    char		*uname;
    FILE		*logfile;
    struct DBInfo	dbinfo;
    struct PilotUser	user;
    struct SysInfo	system;
    struct CardInfo	card;
    struct pi_file	*savefile;
} PilotConnection;

/* callback function type */
typedef		int((*pi_cb)(PilotConnection *));

void		get_registrations(PilotConnection *);
int		register_task(unsigned long, unsigned long, pi_cb);
void		initialize(PilotConnection	*pilot);
void		parse_config(PilotConnection	*pilot);
void		config_defaults(PilotConnection	*pilot);
void		save_config(PilotConnection	*pilot);
char*		pathadd(int sepchar, ...);
void		chomp(char *s);
void		backup_data(PilotConnection *pilot);

#endif /* __PI_TASK_H__ */
