/*
 * pilot-sync.c
 *
 * main routine for pilot-sync
 *
 * Copyright (C) 1997 by David Lindes,
 * see the LICENSE file in this directory for licensing information
 *
 * $Id: pilot-sync.c,v 1.7 1997/04/23 03:17:57 lindes Exp $
 *
 */

#include "pi-task.h"
#include "pi-ui.h"
#include "comm.h"
#include "connect.h"

int	main(int argc, char **argv);

int	main(int argc, char **argv)
{
    PilotConnection	pilot;

    initialize(&pilot);
    parse_config(&pilot);
    get_registrations(&pilot);

    for(;;)
    {
	init_connection(&pilot);
	if(connect_to(&pilot) == -1)
	    continue;
	begin_talking(&pilot);
	identify_user(&pilot);
	setup_save(&pilot);
	synchronize_clock(&pilot);
	get_sys_info(&pilot);
	backup_data(&pilot);
	disconnect_from(&pilot);
    }
}
